private_server.cpp File Reference
`#include "../rml/include/rml_tbb.h"`
`#include "../rml/server/thread_monitor.h"`
`#include "tbb/atomic.h"`
`#include "tbb/cache_aligned_allocator.h"`
`#include "scheduler_common.h"`
`#include "governor.h"`
`#include "tbb_misc.h"`
Include dependency graph for private_server.cpp:

Go to the source code of this file.

## Classes

class | tbb::internal::rml::private_worker
class | tbb::internal::rml::padded_private_worker
class | tbb::internal::rml::private_server

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.
| tbb::internal::rml

## Typedefs

typedef thread_monitor::handle_type | tbb::internal::rml::thread_handle

## Functions

tbb_server * | tbb::internal::rml::make_private_server (tbb_client &client)
| Factory method called from task.cpp to create a private_server. More...

## Variables

static const size_t | tbb::internal::rml::cache_line_size = tbb::internal::NFS_MaxLineSize

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.